# Exchange Create POST /api/v1/superexec/exchange/ Content-Type: application/json Exchange a temporary token for regular access and refresh tokens Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/superexec/exchange-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/superexec/exchange/: post: operationId: exchange-create summary: Exchange Create description: Exchange a temporary token for regular access and refresh tokens tags: - subpackage_superexec responses: '200': description: Successfully exchanged token content: application/json: schema: $ref: '#/components/schemas/SuperexecTokenExchange' '400': description: Invalid token or secret content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/SuperexecTokenExchange' components: schemas: SuperexecTokenExchange: type: object properties: temp_token: type: string superexec_secret: type: string access: type: string refresh: type: string required: - temp_token - superexec_secret - access - refresh description: >- Serializer for exchanging a temporary token for regular access and refresh tokens. title: SuperexecTokenExchange ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/superexec/exchange/" payload = { "temp_token": "tmp_4f7a9c8b2d3e4f1a", "superexec_secret": "s3cr3tK3y!2024" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/superexec/exchange/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"temp_token":"tmp_4f7a9c8b2d3e4f1a","superexec_secret":"s3cr3tK3y!2024"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/superexec/exchange/" payload := strings.NewReader("{\n \"temp_token\": \"tmp_4f7a9c8b2d3e4f1a\",\n \"superexec_secret\": \"s3cr3tK3y!2024\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/superexec/exchange/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"temp_token\": \"tmp_4f7a9c8b2d3e4f1a\",\n \"superexec_secret\": \"s3cr3tK3y!2024\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/superexec/exchange/") .header("Content-Type", "application/json") .body("{\n \"temp_token\": \"tmp_4f7a9c8b2d3e4f1a\",\n \"superexec_secret\": \"s3cr3tK3y!2024\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/superexec/exchange/', [ 'body' => '{ "temp_token": "tmp_4f7a9c8b2d3e4f1a", "superexec_secret": "s3cr3tK3y!2024" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/superexec/exchange/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"temp_token\": \"tmp_4f7a9c8b2d3e4f1a\",\n \"superexec_secret\": \"s3cr3tK3y!2024\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "temp_token": "tmp_4f7a9c8b2d3e4f1a", "superexec_secret": "s3cr3tK3y!2024" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/superexec/exchange/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```